
#include <arduino.h>
#include "sound.h"

const int sampleWindow = 50;
unsigned int sample;

double get_sound_sampling_value(int pin)
{
	unsigned long startMillis= millis();
	unsigned int peakToPeak = 0;
	unsigned int signalMax = 0;
	unsigned int signalMin = 1024;

	while (millis() - startMillis < sampleWindow)
	{
		sample = analogRead(pin);
		if (sample < 1024)
		{
			if (sample > signalMax)
			{
				signalMax = sample;
			}
		else if (sample < signalMin)
		{
			signalMin = sample;
		}
	}
}

peakToPeak = signalMax - signalMin;
return(peakToPeak*20);
}